import './Orderinfo.css'
import { Input, Rate } from "antd";
const { TextArea } = Input;

export default function OrderInfo(props: any) {
    // const [orderPrice, setOrderPrice] = useState('')      //订单金额
    // const [orderStatus, setOrderStatus] = useState('')    //订单状态
    // const [orderTime, setOrderTime] = useState('')        //下单时间
    // const [payTime, setPayTime] = useState('')            //付款时间
    // const [cardTime, setCardTime] = useState('')          //下证时间
    // const [evaluateTime, setEvaluateTime] = useState('')  //评价时间
    // const [orderRate, setOrderRate] = useState(0)         //订单评价星星数量
    // const [rateText, setOrderText] = useState('')
    const orderInfo = props.orderInfo
    return (
        <div>
            <div className='orderDetailBot-order'>
                <div className='orderInfo'>
                    <div className='orderInfo-title'>订单金额</div>
                    <Input
                        disabled
                        style={{
                            width: 400,
                            fontSize: 16,
                            color: "#5C5C5C",
                            height: 42,
                            background: '#F5F5F9',
                        }} value={orderInfo.orderPrice}></Input>
                </div>
                <div className='orderInfo'>
                    <div className='orderInfo-title'>订单状态</div>
                    <Input
                        disabled
                        style={{
                            width: 400,
                            fontSize: 16,
                            height: 42,
                            background: '#F5F5F9',
                            color: "#5C5C5C"
                        }} value={orderInfo.orderStatus}></Input>
                </div>
                <div className='orderInfo'>
                    <div className='orderInfo-title'>下单时间</div>
                    <Input
                        disabled
                        style={{
                            width: 400,
                            fontSize: 16,
                            height: 42,
                            background: '#F5F5F9',
                            color: "#5C5C5C"
                        }} value={orderInfo.orderTime}></Input>
                </div>
                <div className='orderInfo'>
                    <div className='orderInfo-title'>付款时间</div>
                    <Input
                        disabled
                        style={{
                            width: 400,
                            fontSize: 16,
                            height: 42,
                            background: '#F5F5F9',
                            color: "#5C5C5C"
                        }} value={orderInfo.payTime}></Input>
                </div>
                <div className='orderInfo'>
                    <div className='orderInfo-title'>下证时间</div>
                    <Input
                        disabled
                        style={{
                            width: 400,
                            fontSize: 16,
                            height: 42,
                            background: '#F5F5F9',
                            color: "#5C5C5C"
                        }} value={orderInfo.cardTime}></Input>
                </div>
                <div className='orderInfo'>
                    <div className='orderInfo-title'>评价时间</div>
                    <Input
                        disabled
                        style={{
                            width: 400,
                            fontSize: 16,
                            height: 42,
                            background: '#F5F5F9',
                            color: "#5C5C5C"
                        }} value={orderInfo.evaluateTime}></Input>
                </div>
                <div className='orderInfo orderInfoRate'>
                    <div className='orderInfo-title'>订单评价</div>
                    <Rate allowHalf disabled value={orderInfo.orderRate} />
                </div>

            </div>
            <div className='orderInfo' style={{ padding: '0 16px 0 18px', width: 1100, }}>
                <div className='orderInfo-title'>评价内容</div>
                <TextArea
                    disabled
                    style={{
                        width: '100%',
                        height: 150,
                        fontSize: 16,
                        color: "#5C5C5C",
                        resize: 'none',
                        background: '#F5F5F9'
                    }} value={orderInfo.rateText}></TextArea>
            </div>
        </div>
    )
}
